classification
Title: PEP 3132: extended unpacking
Type: Stage:
Components: Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, gvanrossum
Priority: normal Keywords: patch

Created on 2007-05-02 21:23 by georg.brandl, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
extended_unpack_2.diff georg.brandl, 2007-05-02 21:23 #1
extended_unpack_3.diff georg.brandl, 2007-05-02 21:33 #2
Messages (7)
msg52547 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-05-02 21:23
Implements PEP 3132.
msg52548 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-05-02 21:33
Version 2 adds a helpful source code comment and one new test.
File Added: extended_unpack_3.diff
msg52549 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-05-09 00:09
Looks good.  I'm accepting PEP and patch.  Check it in already!
msg52550 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-05-09 00:17
Hold on, test_parser started failing for me.  Things like this (lots of variations):

======================================================================
FAIL: test_assert (__main__.RoundtripLegalSyntaxTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_parser.py", line 176, in test_assert
    self.check_suite("assert alo < ahi and blo < bhi\n")
  File "Lib/test/test_parser.py", line 28, in check_suite
    self.roundtrip(parser.suite, s)
  File "Lib/test/test_parser.py", line 19, in roundtrip
    self.fail("could not roundtrip %r: %s" % (s, why))
AssertionError: could not roundtrip 'assert alo < ahi and blo < bhi\n': illegal assert statement
msg52551 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-05-11 10:04
I've fixed parsermodule.c.

Shall I check it in now? (On py3k-dev, you only said you're leaning towards accepting it...)
msg52552 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-05-11 14:51
Plese do!

And please mark the PEP as accepted and post a small item about it on the py3k list.
msg52553 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-05-11 15:35
Done in rev. 55262.
History
Date User Action Args
2008-01-06 22:29:46adminsetkeywords: - py3k
versions: + Python 3.0
2007-05-02 21:23:30georg.brandlcreate